diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
index 6b9991218..4c252ae05 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
@@ -776,7 +776,7 @@ define('pgadmin.node.type', [
               if(acl.length > 0)
                 acl.reset();
             }
-            return !(m.get('typtype') === 'p');
+            return (m.get('typtype') !== 'p');
           },
         },{
           id: 'seclabels', label: gettext('Security labels'),
@@ -792,7 +792,7 @@ define('pgadmin.node.type', [
               if(secLabs.length > 0)
                 secLabs.reset();
             }
-            return !(m.get('typtype') === 'p');
+            return (m.get('typtype') !== 'p');
           },
         }],
         validate: function() {
diff --git a/web/pgadmin/static/js/pgadmin.js b/web/pgadmin/static/js/pgadmin.js
index 1786a8571..3eaa32a83 100644
--- a/web/pgadmin/static/js/pgadmin.js
+++ b/web/pgadmin/static/js/pgadmin.js
@@ -66,7 +66,7 @@ define([], function() {
       c = [1 / 25.4, 1 / 2.54, 1 / 72, 1 / 6],
       f = ['mm', 'cm', 'pt', 'pc', 'in', 'mozmm'],
       u = 6;
-    for (i.appendChild(n), m && (n.style.marginTop = '1%', p = '1%' === m(n).marginTop); u--;) d[f[u] + 'toPx'] = c[u] ? c[u] * d.inToPx : r(n, '1' + f[u]);
+    for (i.appendChild(n), m && ((n.style.marginTop = '1%'), (p = '1%' === m(n).marginTop)); u--;) d[f[u] + 'toPx'] = c[u] ? c[u] * d.inToPx : r(n, '1' + f[u]);
     i.removeChild(n); t.toPx = r;
   })(pgAdmin, window.document);
 
diff --git a/web/pgadmin/static/js/sqleditor_utils.js b/web/pgadmin/static/js/sqleditor_utils.js
index bf1a5c8c5..b7a0ef028 100644
--- a/web/pgadmin/static/js/sqleditor_utils.js
+++ b/web/pgadmin/static/js/sqleditor_utils.js
@@ -191,7 +191,8 @@ define(['jquery', 'underscore', 'sources/gettext', 'sources/url_for'],
 
       calcFontSize: function(fontSize) {
         if(fontSize) {
-          let rounded = Number((Math.round(fontSize + 'e+2') + 'e-2'));
+          var fontSize_rounded = Math.round(fontSize + parseFloat('e+2'))  + parseFloat('e-2');
+          let rounded = Number(fontSize_rounded);
           if(rounded > 0) {
             return rounded + 'em';
           }
diff --git a/web/pgadmin/tools/backup/static/js/backup.js b/web/pgadmin/tools/backup/static/js/backup.js
index 3c36bff6a..158a02853 100644
--- a/web/pgadmin/tools/backup/static/js/backup.js
+++ b/web/pgadmin/tools/backup/static/js/backup.js
@@ -210,7 +210,7 @@ define([
       type: 'int',
       deps: ['format'],
       disabled: function(m) {
-        return !(m.get('format') === 'directory');
+        return (m.get('format') !== 'directory');
       },
       visible: function(m) {
         if (!_.isUndefined(m.get('type')) && m.get('type') === 'server')
diff --git a/web/pgadmin/tools/user_management/static/js/user_management.js b/web/pgadmin/tools/user_management/static/js/user_management.js
index 7d3f7ec39..7087e6f0b 100644
--- a/web/pgadmin/tools/user_management/static/js/user_management.js
+++ b/web/pgadmin/tools/user_management/static/js/user_management.js
@@ -535,8 +535,8 @@ define([
               } else {
                 if ((_.isUndefined(this.get('newPassword')) || _.isNull(this.get('newPassword')) ||
                     this.get('newPassword') == '') &&
-                  ((_.isUndefined(this.get('confirmPassword')) || _.isNull(this.get('confirmPassword')) ||
-                    this.get('confirmPassword') == ''))) {
+                  (_.isUndefined(this.get('confirmPassword')) || _.isNull(this.get('confirmPassword')) ||
+                    this.get('confirmPassword') == '')) {
 
                   this.errorModel.unset('newPassword');
                   if (this.get('newPassword') == '') {
